#ifndef _ANYNET2G_T_
#define _ANYNET2G_T_

#include <stdint.h>

#ifndef _ANYNET2G_H_

#define T_ANYNET2G_P const uint8_t* 

#endif

typedef void    (*T_hal_gpioSetFp)(uint8_t);                         
typedef uint8_t (*T_hal_gpioGetFp)();

typedef struct
{
    T_hal_gpioSetFp      gpioSet[ 12 ];
    T_hal_gpioGetFp      gpioGet[ 12 ];
  
}T_hal_gpioObj;


typedef void          ( *T_hal_uartWriteFp )(unsigned int);
typedef unsigned int  ( *T_hal_uartReadFp )();
typedef unsigned int  ( *T_hal_uartReadyFp )();

typedef struct
{
    T_hal_uartWriteFp      uartWrite;
    T_hal_uartReadFp       uartRead;
    T_hal_uartReadyFp      uartReady;
  
}T_hal_uartObj;

#endif