#ifndef _ANYNET2G_API_
#define _ANYNET2G_API_

#include "__anynet2g_driver.h"
#include "Click_AnyNet_2G_types.h"

/* -----------------------------------------------------------------------------
    API CALLS
------------------------------------------------------------------------------*/

void api_anynet2g_init();

void api_anynet2g_firmwareID();

void api_anynet2g_queryICCID();

void api_anynet2g_openTopicAWS( uint8_t cmdType, char* awsIdx, char* awsTopic );

void api_anynet2g_publishTopicAWS( uint8_t cmdType, char* awsIdx, char* qos, char* msg );

void api_anynet2g_openSubscribeAWS( uint8_t cmdType, char* awsIdx, char* awsTopic );

void api_anynet2g_closeTopicAWS( uint8_t cmdType, char* awsIdx );

void api_anynet2g_checkStateAWS( uint8_t cmdType );

/* -----------------------------------------------------------------------------
    HANDLERS
------------------------------------------------------------------------------*/

void api_anynet2g_default_handler( char *rsp, uint8_t *evArgs );

void api_anynet2g_openTopicAWS_handler( char *rsp, uint8_t *evArgs );

void api_anynet2g_openSubscribeAWS_handler( char *rsp, uint8_t *evArgs );

void api_anynet2g_closeTopicAWS_handler( char *rsp, uint8_t *evArgs );

void api_anynet2g_checkStateAWS_handler( char *rsp, uint8_t *evArgs );

#endif